«

»

6月 20

CentOS6.5 php5.5からphp7.1へバージョンアップ

現在のPHPのバージョン

[root@www16071ue yum.repos.d]# php -v
PHP 5.5.19 (cli) (built: Nov 16 2014 09:53:48)
Copyright (c) 1997-2014 The PHP Group
Zend Engine v2.5.0, Copyright (c) 1998-2014 Zend Technologies

mysqlのチューニングの際に

リポジトリの更新作業
これで最新のremiリポジトリをとってくるとphpの最新である7.1のリポジトリ先を登録できる

[root@www16071ue yum.repos.d]# wget http://rpms.famillecollet.com/enterprise/remi-release-6.rpm
--2017-06-15 13:26:37--  http://rpms.famillecollet.com/enterprise/remi-release-6.rpm
rpms.famillecollet.com をDNSに問いあわせています... 2001:bc8:33a1:100::1, 195.154.241.117
rpms.famillecollet.com|2001:bc8:33a1:100::1|:80 に接続しています... 接続しました。
HTTP による接続要求を送信しました、応答を待っています... 200 OK
長さ: 8344 (8.1K) [application/x-rpm]
`remi-release-6.rpm' に保存中

100%[========================================================================================================>] 8,344       --.-K/s 時間 0s

2017-06-15 13:26:37 (303 MB/s) - `remi-release-6.rpm' へ保存完了 [8344/8344]

リポジトリの中を確認

[root@www16071ue yum.repos.d]# ls
CentOS-Base.repo         CentOS-Media.repo      epel-testing.repo  mirrors-rpmforge-extras   remi.repo
CentOS-Base.repo.rpmnew  CentOS-Vault.repo      epel.repo          mirrors-rpmforge-testing  rpmforge.repo
CentOS-Debuginfo.repo    CentOS-fasttrack.repo  mirrors-rpmforge   remi-release-6.rpm
root@www16071ue ~]# rpm -Uvh remi-release-6.rpm
準備中...                ########################################### [100%]
   1:remi-release           ########################################### [100%]
[root@www16071ue ~]# ls -la /etc/yum.repos.d/
合計 80
drwxr-xr-x.  2 root root 4096  6月 15 13:27 2017 .
drwxr-xr-x. 88 root root 4096  6月 15 03:58 2017 ..
-rw-r--r--   1 root root 1958 10月 11 04:01 2014 CentOS-Base.repo
-rw-r--r--   1 root root 1991 10月 23 20:41 2014 CentOS-Base.repo.rpmnew
-rw-r--r--   1 root root  647  3月 28 19:25 2017 CentOS-Debuginfo.repo
-rw-r--r--   1 root root  630  3月 28 19:25 2017 CentOS-Media.repo
-rw-r--r--   1 root root 7989  3月 28 19:25 2017 CentOS-Vault.repo
-rw-r--r--   1 root root  289  3月 28 19:25 2017 CentOS-fasttrack.repo
-rw-r--r--.  1 root root 1056 11月  5 12:52 2012 epel-testing.repo
-rw-r--r--   1 root root  957 10月 11 03:55 2014 epel.repo
-rw-r--r--   1 root root  739  3月 20 23:24 2013 mirrors-rpmforge
-rw-r--r--   1 root root  717  3月 20 23:24 2013 mirrors-rpmforge-extras
-rw-r--r--   1 root root  728  3月 20 23:24 2013 mirrors-rpmforge-testing
-rw-r--r--   1 root root  457  2月 10 22:27 2017 remi-php54.repo
-rw-r--r--   1 root root 1316  2月 10 22:27 2017 remi-php70.repo
-rw-r--r--   1 root root 1316  2月 10 22:27 2017 remi-php71.repo
-rw-r--r--   1 root root  751  2月 10 22:27 2017 remi-safe.repo
-rw-r--r--   1 root root 2609  2月 10 22:27 2017 remi.repo
-rw-r--r--   1 root root 1142  6月 24 12:22 2015 rpmforge.repo

cronなどでyumのupdateのときに自動的にアップデートしないようにするためenable=0に変更しておく。

# This repository only provides PHP 5.4 and its extensions
# NOTICE: common dependencies are in "remi-safe"

[remi-php54]
name=Remi's PHP 5.4 RPM repository for Enterprise Linux 6 - $basearch
#baseurl=http://rpms.remirepo.net/enterprise/6/php54/$basearch/
#mirrorlist=https://rpms.remirepo.net/enterprise/6/php54/httpsmirror
mirrorlist=http://rpms.remirepo.net/enterprise/6/php54/mirror
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi

すでにenable=0なので問題なし

# This repository only provides PHP 7.0 and its extensions
# NOTICE: common dependencies are in "remi-safe"

[remi-php70]
name=Remi's PHP 7.0 RPM repository for Enterprise Linux 6 - $basearch
#baseurl=http://rpms.remirepo.net/enterprise/6/php70/$basearch/
#mirrorlist=https://rpms.remirepo.net/enterprise/6/php70/httpsmirror
mirrorlist=http://rpms.remirepo.net/enterprise/6/php70/mirror
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi

[remi-php70-debuginfo]
name=Remi's PHP 7.0 RPM repository for Enterprise Linux 6 - $basearch - debuginfo
baseurl=http://rpms.remirepo.net/enterprise/6/debug-php70/$basearch/
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi

[remi-php70-test]
name=Remi's PHP 7.0 test RPM repository for Enterprise Linux 6 - $basearch
#baseurl=http://rpms.remirepo.net/enterprise/6/test70/$basearch/
#mirrorlist=https://rpms.remirepo.net/enterprise/6/test70/httpsmirror
mirrorlist=http://rpms.remirepo.net/enterprise/6/test70/mirror
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi

[remi-php70-test-debuginfo]
name=Remi's PHP 7.0 test RPM repository for Enterprise Linux 6 - $basearch - debuginfo
baseurl=http://rpms.remirepo.net/enterprise/6/debug-test70/$basearch/
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi

こちらも問題なし。

# This repository only provides PHP 7.1 and its extensions
# NOTICE: common dependencies are in "remi-safe"

[remi-php71]
name=Remi's PHP 7.1 RPM repository for Enterprise Linux 6 - $basearch
#baseurl=http://rpms.remirepo.net/enterprise/6/php71/$basearch/
#mirrorlist=https://rpms.remirepo.net/enterprise/6/php71/httpsmirror
mirrorlist=http://rpms.remirepo.net/enterprise/6/php71/mirror
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi

[remi-php71-debuginfo]
name=Remi's PHP 7.1 RPM repository for Enterprise Linux 6 - $basearch - debuginfo
baseurl=http://rpms.remirepo.net/enterprise/6/debug-php71/$basearch/
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi

[remi-php71-test]
name=Remi's PHP 7.1 test RPM repository for Enterprise Linux 6 - $basearch
#baseurl=http://rpms.remirepo.net/enterprise/6/test71/$basearch/
#mirrorlist=https://rpms.remirepo.net/enterprise/6/test71/httpsmirror
mirrorlist=http://rpms.remirepo.net/enterprise/6/test71/mirror
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi

[remi-php71-test-debuginfo]
name=Remi's PHP 7.1 test RPM repository for Enterprise Linux 6 - $basearch - debuginfo
baseurl=http://rpms.remirepo.net/enterprise/6/debug-test71/$basearch/
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi

こちらもenable=0である。このバージョンのPHPを使用するときに明示的にインストールをする。

# This repository is safe to use with RHEL/CentOS base repository
# it only provides additional packages for the PHP stack
# all dependencies are in base repository or in EPEL

[remi-safe]
name=Safe Remi's RPM repository for Enterprise Linux 6 - $basearch
#baseurl=http://rpms.remirepo.net/enterprise/6/safe/$basearch/
#mirrorlist=https://rpms.remirepo.net/enterprise/6/safe/httpsmirror
mirrorlist=http://rpms.remirepo.net/enterprise/6/safe/mirror
enabled=1  → enabled=0に変更する
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi

[remi-safe-debuginfo]
name=Remi's RPM repository for Enterprise Linux 6 - $basearch - debuginfo
baseurl=http://rpms.remirepo.net/enterprise/6/debug-remi/$basearch/
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi

一箇所enbale=1だったのでとりあえずenable=0としておく。

[root@www16071ue ~]# yum update --enablerepo=remi-php71,remi --disablerepo=updates,base,extras
読み込んだプラグイン:fastestmirror, priorities, security
更新処理の設定をしています
Loading mirror speeds from cached hostfile
 * remi: mirrors.mediatemple.net
 * remi-php71: mirrors.mediatemple.net
remi                                                                                                     | 2.9 kB     00:00
依存性の解決をしています
--> トランザクションの確認を実行しています。
---> Package compat-mysql51.x86_64 0:5.1.54-1.el6.remi will be 更新
---> Package compat-mysql51.x86_64 0:5.1.73-1.el6.remi will be an update
---> Package php.x86_64 0:5.5.19-2.el6.remi will be 更新
---> Package php.x86_64 0:7.1.6-1.el6.remi will be an update
---> Package php-cli.x86_64 0:5.5.19-2.el6.remi will be 更新
---> Package php-cli.x86_64 0:7.1.6-1.el6.remi will be an update
---> Package php-common.x86_64 0:5.5.19-2.el6.remi will be 更新
---> Package php-common.x86_64 0:7.1.6-1.el6.remi will be an update
---> Package php-json.x86_64 0:7.1.6-1.el6.remi will be obsoleting
---> Package php-mbstring.x86_64 0:5.5.19-2.el6.remi will be 更新
---> Package php-mbstring.x86_64 0:7.1.6-1.el6.remi will be an update
---> Package php-mcrypt.x86_64 0:5.5.19-2.el6.remi will be 更新
---> Package php-mcrypt.x86_64 0:7.1.6-1.el6.remi will be an update
---> Package php-mysqlnd.x86_64 0:5.5.19-2.el6.remi will be 更新
---> Package php-mysqlnd.x86_64 0:7.1.6-1.el6.remi will be an update
---> Package php-pdo.x86_64 0:5.5.19-2.el6.remi will be 更新
---> Package php-pdo.x86_64 0:7.1.6-1.el6.remi will be an update
---> Package php-pear.noarch 1:1.9.4-20.el6.remi will be 更新
---> Package php-pear.noarch 1:1.10.4-2.el6.remi will be an update
---> Package php-pecl-jsonc.x86_64 0:1.3.6-1.el6.remi.5.5.1 will be 不要
---> Package php-pecl-zip.x86_64 0:1.12.4-1.el6.remi.5.5 will be 更新
---> Package php-pecl-zip.x86_64 0:1.14.0-1.el6.remi.7.1 will be an update
--> 依存性の処理をしています: libzip.so.5()(64bit) のパッケージ: php-pecl-zip-1.14.0-1.el6.remi.7.1.x86_64
---> Package php-process.x86_64 0:5.5.19-2.el6.remi will be 更新
---> Package php-process.x86_64 0:7.1.6-1.el6.remi will be an update
---> Package php-xml.x86_64 0:5.5.19-2.el6.remi will be 更新
---> Package php-xml.x86_64 0:7.1.6-1.el6.remi will be an update
--> トランザクションの確認を実行しています。
---> Package libzip5.x86_64 0:1.2.0-1.el6.remi will be インストール
--> 依存性解決を終了しました。

依存性を解決しました

================================================================================================================================
 パッケージ                     アーキテクチャ         バージョン                              リポジトリー                容量
================================================================================================================================
インストールしています:
 php-json                       x86_64                 7.1.6-1.el6.remi                        remi-php71                  53 k
     置き換えています  php-pecl-jsonc.x86_64 1.3.6-1.el6.remi.5.5.1
更新:
 compat-mysql51                 x86_64                 5.1.73-1.el6.remi                       remi                       1.4 M
 php                            x86_64                 7.1.6-1.el6.remi                        remi-php71                 2.8 M
 php-cli                        x86_64                 7.1.6-1.el6.remi                        remi-php71                 4.1 M
 php-common                     x86_64                 7.1.6-1.el6.remi                        remi-php71                 992 k
 php-mbstring                   x86_64                 7.1.6-1.el6.remi                        remi-php71                 977 k
 php-mcrypt                     x86_64                 7.1.6-1.el6.remi                        remi-php71                  50 k
 php-mysqlnd                    x86_64                 7.1.6-1.el6.remi                        remi-php71                 203 k
 php-pdo                        x86_64                 7.1.6-1.el6.remi                        remi-php71                 105 k
 php-pear                       noarch                 1:1.10.4-2.el6.remi                     remi                       367 k
 php-pecl-zip                   x86_64                 1.14.0-1.el6.remi.7.1                   remi-php71                  44 k
 php-process                    x86_64                 7.1.6-1.el6.remi                        remi-php71                  61 k
 php-xml                        x86_64                 7.1.6-1.el6.remi                        remi-php71                 174 k
依存性関連でのインストールをします。:
 libzip5                        x86_64                 1.2.0-1.el6.remi                        remi                        53 k

トランザクションの要約
================================================================================================================================
インストール         2 パッケージ
アップグレード      12 パッケージ

総ダウンロード容量: 11 M
これでいいですか? [y/N]y
パッケージをダウンロードしています:
(1/14): compat-mysql51-5.1.73-1.el6.remi.x86_64.rpm                                                      | 1.4 MB     00:01
(2/14): libzip5-1.2.0-1.el6.remi.x86_64.rpm                                                              |  53 kB     00:00
(3/14): php-7.1.6-1.el6.remi.x86_64.rpm                                                                  | 2.8 MB     00:00
(4/14): php-cli-7.1.6-1.el6.remi.x86_64.rpm                                                              | 4.1 MB     00:00
(5/14): php-common-7.1.6-1.el6.remi.x86_64.rpm                                                           | 992 kB     00:00
(6/14): php-json-7.1.6-1.el6.remi.x86_64.rpm                                                             |  53 kB     00:00
(7/14): php-mbstring-7.1.6-1.el6.remi.x86_64.rpm                                                         | 977 kB     00:00
(8/14): php-mcrypt-7.1.6-1.el6.remi.x86_64.rpm                                                           |  50 kB     00:00
(9/14): php-mysqlnd-7.1.6-1.el6.remi.x86_64.rpm                                                          | 203 kB     00:00
(10/14): php-pdo-7.1.6-1.el6.remi.x86_64.rpm                                                             | 105 kB     00:00
(11/14): php-pear-1.10.4-2.el6.remi.noarch.rpm                                                           | 367 kB     00:00
(12/14): php-pecl-zip-1.14.0-1.el6.remi.7.1.x86_64.rpm                                                   |  44 kB     00:00
(13/14): php-process-7.1.6-1.el6.remi.x86_64.rpm                                                         |  61 kB     00:00
(14/14): php-xml-7.1.6-1.el6.remi.x86_64.rpm                                                             | 174 kB     00:00
--------------------------------------------------------------------------------------------------------------------------------
合計                                                                                            2.2 MB/s |  11 MB     00:05
rpm_check_debug を実行しています
トランザクションのテストを実行しています
トランザクションのテストを成功しました
トランザクションを実行しています
  インストールしています  : php-json-7.1.6-1.el6.remi.x86_64                                                               1/27
  更新                    : php-common-7.1.6-1.el6.remi.x86_64                                                             2/27
warning: /etc/php.ini created as /etc/php.ini.rpmnew
  更新                    : php-cli-7.1.6-1.el6.remi.x86_64                                                                3/27
  更新                    : php-xml-7.1.6-1.el6.remi.x86_64                                                                4/27
  更新                    : php-pdo-7.1.6-1.el6.remi.x86_64                                                                5/27
  更新                    : php-process-7.1.6-1.el6.remi.x86_64                                                            6/27
  インストールしています  : libzip5-1.2.0-1.el6.remi.x86_64                                                                7/27
  更新                    : php-pecl-zip-1.14.0-1.el6.remi.7.1.x86_64                                                      8/27
  更新                    : 1:php-pear-1.10.4-2.el6.remi.noarch                                                            9/27
  更新                    : php-mysqlnd-7.1.6-1.el6.remi.x86_64                                                           10/27
  更新                    : php-7.1.6-1.el6.remi.x86_64                                                                   11/27
  更新                    : php-mcrypt-7.1.6-1.el6.remi.x86_64                                                            12/27
  更新                    : php-mbstring-7.1.6-1.el6.remi.x86_64                                                          13/27
  更新                    : compat-mysql51-5.1.73-1.el6.remi.x86_64                                                       14/27
  整理中                  : php-5.5.19-2.el6.remi.x86_64                                                                  15/27
  整理中                  : php-mysqlnd-5.5.19-2.el6.remi.x86_64                                                          16/27
  整理中                  : php-pdo-5.5.19-2.el6.remi.x86_64                                                              17/27
  整理中                  : php-mbstring-5.5.19-2.el6.remi.x86_64                                                         18/27
  整理中                  : php-mcrypt-5.5.19-2.el6.remi.x86_64                                                           19/27
  整理中                  : php-cli-5.5.19-2.el6.remi.x86_64                                                              20/27
  整理中                  : php-process-5.5.19-2.el6.remi.x86_64                                                          21/27
  整理中                  : php-xml-5.5.19-2.el6.remi.x86_64                                                              22/27
  整理中                  : php-common-5.5.19-2.el6.remi.x86_64                                                           23/27
  削除中                  : php-pecl-jsonc-1.3.6-1.el6.remi.5.5.1.x86_64                                                  24/27
  整理中                  : php-pecl-zip-1.12.4-1.el6.remi.5.5.x86_64                                                     25/27
  整理中                  : 1:php-pear-1.9.4-20.el6.remi.noarch                                                           26/27
  整理中                  : compat-mysql51-5.1.54-1.el6.remi.x86_64                                                       27/27
  Verifying               : php-xml-7.1.6-1.el6.remi.x86_64                                                                1/27
  Verifying               : php-mcrypt-7.1.6-1.el6.remi.x86_64                                                             2/27
  Verifying               : php-pdo-7.1.6-1.el6.remi.x86_64                                                                3/27
  Verifying               : php-mbstring-7.1.6-1.el6.remi.x86_64                                                           4/27
  Verifying               : libzip5-1.2.0-1.el6.remi.x86_64                                                                5/27
  Verifying               : php-mysqlnd-7.1.6-1.el6.remi.x86_64                                                            6/27
  Verifying               : php-common-7.1.6-1.el6.remi.x86_64                                                             7/27
  Verifying               : php-process-7.1.6-1.el6.remi.x86_64                                                            8/27
  Verifying               : compat-mysql51-5.1.73-1.el6.remi.x86_64                                                        9/27
  Verifying               : php-json-7.1.6-1.el6.remi.x86_64                                                              10/27
  Verifying               : php-cli-7.1.6-1.el6.remi.x86_64                                                               11/27
  Verifying               : php-pecl-zip-1.14.0-1.el6.remi.7.1.x86_64                                                     12/27
  Verifying               : php-7.1.6-1.el6.remi.x86_64                                                                   13/27
  Verifying               : 1:php-pear-1.10.4-2.el6.remi.noarch                                                           14/27
  Verifying               : php-mcrypt-5.5.19-2.el6.remi.x86_64                                                           15/27
  Verifying               : php-pecl-zip-1.12.4-1.el6.remi.5.5.x86_64                                                     16/27
  Verifying               : php-pdo-5.5.19-2.el6.remi.x86_64                                                              17/27
  Verifying               : php-common-5.5.19-2.el6.remi.x86_64                                                           18/27
  Verifying               : php-pecl-jsonc-1.3.6-1.el6.remi.5.5.1.x86_64                                                  19/27
  Verifying               : 1:php-pear-1.9.4-20.el6.remi.noarch                                                           20/27
  Verifying               : php-mbstring-5.5.19-2.el6.remi.x86_64                                                         21/27
  Verifying               : php-xml-5.5.19-2.el6.remi.x86_64                                                              22/27
  Verifying               : php-cli-5.5.19-2.el6.remi.x86_64                                                              23/27
  Verifying               : php-5.5.19-2.el6.remi.x86_64                                                                  24/27
  Verifying               : php-mysqlnd-5.5.19-2.el6.remi.x86_64                                                          25/27
  Verifying               : compat-mysql51-5.1.54-1.el6.remi.x86_64                                                       26/27
  Verifying               : php-process-5.5.19-2.el6.remi.x86_64                                                          27/27

インストール:
  php-json.x86_64 0:7.1.6-1.el6.remi

依存性関連をインストールしました:
  libzip5.x86_64 0:1.2.0-1.el6.remi

更新:
  compat-mysql51.x86_64 0:5.1.73-1.el6.remi     php.x86_64 0:7.1.6-1.el6.remi            php-cli.x86_64 0:7.1.6-1.el6.remi
  php-common.x86_64 0:7.1.6-1.el6.remi          php-mbstring.x86_64 0:7.1.6-1.el6.remi   php-mcrypt.x86_64 0:7.1.6-1.el6.remi
  php-mysqlnd.x86_64 0:7.1.6-1.el6.remi         php-pdo.x86_64 0:7.1.6-1.el6.remi        php-pear.noarch 1:1.10.4-2.el6.remi
  php-pecl-zip.x86_64 0:1.14.0-1.el6.remi.7.1   php-process.x86_64 0:7.1.6-1.el6.remi    php-xml.x86_64 0:7.1.6-1.el6.remi

置換:
  php-pecl-jsonc.x86_64 0:1.3.6-1.el6.remi.5.5.1

完了しました!
[root@www16071ue ~]# /etc/init.d/httpd  restart
httpd を停止中:                                            [  OK  ]
httpd を起動中:                                            [  OK  ]

これで異常なくバージョンアップが完了!!

[root@www16071ue ~]# php --version
PHP 7.1.6 (cli) (built: Jun  7 2017 12:30:47) ( NTS )
Copyright (c) 1997-2017 The PHP Group
Zend Engine v3.1.0, Copyright (c) 1998-2017 Zend Technologies

MYSQLに続きPHPもバージョンアップが完了しました。

*****************************************************************************

応援をお願いします。

スポンサーリンク

ブログランキング・にほんブログ村へ
にほんブログ村

PVアクセスランキング にほんブログ村